# Uses of Interface
org.eclipse.jface.action.ExternalActionManager.ICallback

Packages that use ExternalActionManager.ICallback
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.

## Uses of ExternalActionManager.ICallback in org.eclipse.jface.action

Subinterfaces of ExternalActionManager.ICallback in org.eclipse.jface.action
Modifier and Type
Interface
Description
`static interface`
`ExternalActionManager.IBindingManagerCallback`
A callback which communicates with the applications binding manager.
Classes in org.eclipse.jface.action that implement ExternalActionManager.ICallback
Modifier and Type
Class
Description
`static class`
`ExternalActionManager.CommandCallback`
A simple implementation of the `ICallback` mechanism that simply takes a `BindingManager` and a `CommandManager`.
Methods in org.eclipse.jface.action that return ExternalActionManager.ICallback
Modifier and Type
Method
Description
`ExternalActionManager.ICallback`
ExternalActionManager.`getCallback()`
An accessor for the current call back.
Methods in org.eclipse.jface.action with parameters of type ExternalActionManager.ICallback
Modifier and Type
Method
Description
`void`
ExternalActionManager.`setCallback(ExternalActionManager.ICallback callbackToUse)`
A mutator for the current call back